Bug 845295 - Fix regression in disk.usage
Fix regression in disk.usage
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: salt (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Clint Savage
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-02 11:05 EDT by Jeffrey C. Ollie
Modified: 2012-08-21 14:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-10 18:34:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
apply upstream patch to fix disk.usage (2.13 KB, patch)
2012-08-02 11:05 EDT, Jeffrey C. Ollie
no flags Details | Diff

  None (edit)
Description Jeffrey C. Ollie 2012-08-02 11:05:28 EDT
Created attachment 601980 [details]
apply upstream patch to fix disk.usage

Salt 0.10.2 has a regression in the disk.usage module:

# salt-call disk.usage
Error running 'disk.usage': cannot concatenate 'str' and 'NoneType' objects

There is an upstream fix:

https://github.com/saltstack/salt/issues/1730

Until 0.10.3 is released, I've attached a patch that pulls in the upstream fix.
Comment 1 Fedora Update System 2012-08-02 13:46:11 EDT
salt-0.10.2-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/salt-0.10.2-2.fc17
Comment 2 Fedora Update System 2012-08-02 13:47:00 EDT
salt-0.10.2-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/salt-0.10.2-2.fc16
Comment 3 Fedora Update System 2012-08-02 13:48:25 EDT
salt-0.10.2-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/salt-0.10.2-2.el6
Comment 4 Fedora Update System 2012-08-02 13:49:21 EDT
salt-0.10.2-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/salt-0.10.2-2.el5
Comment 5 Fedora Update System 2012-08-03 07:27:30 EDT
Package salt-0.10.2-2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing salt-0.10.2-2.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-11453/salt-0.10.2-2.fc16
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-08-10 18:34:21 EDT
salt-0.10.2-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2012-08-10 18:34:30 EDT
salt-0.10.2-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2012-08-21 14:35:30 EDT
salt-0.10.2-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2012-08-21 14:35:40 EDT
salt-0.10.2-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.